{
  "type": "minecraft:chest",
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 3,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:gold_nugget"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:dandelion",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:poppy"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 7,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:potato",
          "weight": 10
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 4,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:bread",
          "weight": 10
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 5,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:apple",
          "weight": 10
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:book"
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:feather"
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 4,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:emerald",
          "weight": 2
        },
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": {
                "type": "minecraft:uniform",
                "max": 2,
                "min": 1
              },
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:oak_sapling",
          "weight": 5
        }
      ],
      "rolls": {
        "type": "minecraft:uniform",
        "max": 8,
        "min": 3
      }
    },
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:item",
          "functions": [
            {
              "add": false,
              "count": 1,
              "function": "minecraft:set_count"
            }
          ],
          "name": "minecraft:bundle"
        },
        {
          "type": "minecraft:empty",
          "weight": 2
        }
      ],
      "rolls": 1
    },
    {
      "rolls": {
        "type": "minecraft:uniform",
        "min": 1,
        "max": 3
      },
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:group",
          "children": [
            {
              "type": "minecraft:empty",
              "weight": 5
            },
            {
              "type": "minecraft:item",
              "name": "leather",
              "weight": 1,
              "conditions": [],
              "functions": [
                {
                  "function": "minecraft:set_components",
                  "components": {
                    "minecraft:custom_name": {
                      "text": "Samsung Tablet",
                      "color": "green",
                      "bold": true,
                      "italic": false
                    },
                    "minecraft:item_model": "iron_ingot",
                    "minecraft:custom_data": {
                      "samsung_tablet": true
                    }
                  },
                  "conditions": []
                }
              ]
            },
            {
              "type": "minecraft:item",
              "name": "leather",
              "weight": 4,
              "conditions": [],
              "functions": [
                {
                  "function": "minecraft:set_components",
                  "components": {
                    "minecraft:custom_name": {
                      "text": "Samsung Phone",
                      "color": "green",
                      "bold": true,
                      "italic": false
                    },
                    "minecraft:item_model": "iron_ingot",
                    "minecraft:custom_data": {
                      "samsung_phone": true
                    }
                  },
                  "conditions": []
                }
              ]
            }
          ],
          "conditions": []
        }
      ]
    }
  ],
  "random_sequence": "minecraft:chests/village/village_plains_house"
}